/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.generaltemplates;

import cdac.medinfo.sdk.dcm30_04.baselibs.ContentSequenceItem;
import cdac.medinfo.sdk.dcm30_04.srtree.SRTree;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_QualityRatingIdentification;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_QualityRatingIdentification;

/**
 * This class represents QualityRatingIdentification_TID2102
 */
public class QualityRatingIdentification_TID2102 extends Template {

	
	public QualityRatingIdentification_TID2102(SRTree objTree) {
		super(objTree);
	}
	/**
	 * Sets the value for AlgorithmName
	 * @param arrPosition Identifier which shows the position of the node in the SR Tree.
	 * @param strAlgorithmName String value for Comment.
	 */
	public void setAlgorithmName(int[] arrPosition, String strAlgorithmName)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_QualityRatingIdentification.ALGORITHM_NAME.getValue();
		String strCodeValue = EnumCV_QualityRatingIdentification.ALGORITHM_NAME_111001.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strAlgorithmName);
		getSRTree().addChild(objContentSequenceItem);
	}
	public void setAlgorithmVersion(int[] arrPosition, String strAlgorithmVersion)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_QualityRatingIdentification.ALGORITHM_VERSION.getValue();
		String strCodeValue = EnumCV_QualityRatingIdentification.ALGORITHM_VERSION_111003.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strAlgorithmVersion);
		getSRTree().addChild(objContentSequenceItem);
	}
	public void setAlgorithmManufacturer(int[] arrPosition, String strAlgorithmManufacturer)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_QualityRatingIdentification.ALGORITHM_MANUFACTURE.getValue();
		String strCodeValue = EnumCV_QualityRatingIdentification.ALGORITHM_MANUFACTURE_122405.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strAlgorithmManufacturer);
		getSRTree().addChild(objContentSequenceItem);
	}
	public void setAlgorithmParameters(int[] arrPosition, String strAlgorithmParameters)
	{
		/**
		 * Retrieves the corresponding values of CodeMeaning,CodeValue and CodingSchemeDesignator.
		 */
		String strCodeMeaning = EnumCM_QualityRatingIdentification.ALGORITHM_PARAMETER.getValue();
		String strCodeValue = EnumCV_QualityRatingIdentification.ALGORITHM_PARAMETER_111002.getValue();
		String strCSD = EnumCodingSchemeDesignator.SRT.getValue();

		/**
		 * Creating a node of Value Type TEXT and adding this node at specified identifier in the SR Tree.
		 */
		ContentSequenceItem objContentSequenceItem = getSRTree().createTextNode(arrPosition, strCodeMeaning, strCodeValue, strCSD, strAlgorithmParameters);
		getSRTree().addChild(objContentSequenceItem);
	}
}
